import request from '@/assets/js/utils/request'
// 获取黑名单所有字典
export function getBlacklistDictionaries() {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/getBlacklistDictionaries',
    method: 'post'
  })
}
// 获取获取黑名单列表
export function listBlacklistPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/listBlacklistPages',
    method: 'post',
    data
  })
}
// 保存黑名单,返回值为id
export function saveBlacklistInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/saveBlacklistInfo',
    method: 'post',
    data
  })
}
// 保存取消黑名单信息
export function saveCancelBlacklistInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/saveCancelBlacklistInfo',
    method: 'post',
    data
  })
}
// 查询黑名单
export function queryBlacklistInfo(id) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/queryBlacklistInfo?id=' + id,
    method: 'post'
  })
}

// 根据id撤销黑名单
export function repealBlacklist(id) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/repealBlacklist?id=' + id,
    method: 'post'
  })
}

// 删除黑名单
export function removeBlacklist(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/removeBlacklist',
    method: 'post',
    data
  })
}

// 黑名单（批量审核）状态修改
export function updateAuditBlacklistInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/updateAuditBlacklistInfo',
    method: 'post',
    data
  })
}

// 根据id获取黑名单审核信息
export function queryBlacklistAuditInfo(id) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/blacklist/queryBlacklistAuditInfo?id=' + id,
    method: 'post'
  })
}
